package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayAttendance;
import com.ruoyi.pay.domain.vo.PayAttendanceVo;
import com.ruoyi.pay.domain.bo.PayAttendanceBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 考勤Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayAttendanceService {

    /**
     * 查询考勤
     */
    PayAttendanceVo queryById(Long id);

    /**
     * 查询考勤列表
     */
    TableDataInfo<PayAttendanceVo> queryPageList(PayAttendanceBo bo, PageQuery pageQuery);

    /**
     * 查询考勤列表
     */
    List<PayAttendanceVo> queryList(PayAttendanceBo bo);

    /**
     * 新增考勤
     */
    Boolean insertByBo(PayAttendanceBo bo);

    /**
     * 修改考勤
     */
    Boolean updateByBo(PayAttendanceBo bo);

    /**
     * 校验并批量删除考勤信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    PayAttendance selectEmpInfoByName(String empName);

    String importAttendance(List<PayAttendanceBo> attendanceList, boolean updateSupport, String date);
}
